トッピングの販売状態・残数
POST
/webhook-topping-conditions
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-topping-conditions';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"contractId":"smaregi","event":"waiter:topping-conditions","action":"updated","storeId":"1","toppingIds":["1","2"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/webhook-topping-conditions \ --header 'Content-Type: application/json' \ --data '{ "contractId": "smaregi", "event": "waiter:topping-conditions", "action": "updated", "storeId": "1", "toppingIds": [ "1", "2" ] }'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Smaregi-Event
string
イベント名 waiter:topping-conditions
Request Body
Section titled “Request Body”Media typeapplication/json
object
contractId
契約ID
string
event
イベント
string
action
アクション
updated: 更新
string
storeId
店舗ID
string
toppingIds
トッピングIDリスト
array
Examples
Exampleリクエスト例
{ "contractId": "smaregi", "event": "waiter:topping-conditions", "action": "updated", "storeId": "1", "toppingIds": [ "1", "2" ]}Responses
Section titled “Responses”OK